## Probabilistic Simulation Framework Assessing the Impacts of Ridesharing and Manhattan Congestion Surcharge

Code for paper 'Transportation Interventions Reshaping NYC Commute: the Probabilistic Simulation Framework Assessing the Impacts of Ridesharing and Manhattan Congestion Surcharge' (https://arxiv.org/abs/2010.06588)

The paper presents an individual mode-choice and mode-shift simulation model and the Bayesian inference framework. It accounts for uncertainties in the data as well as the model estimate and translates them into uncertainties of the resulting mode-shift and the impacts. The framework is evaluated on the two intervention cases: introducing ride-sharing for-hire-vehicles in NYC as well the recent introduction of the Manhattan Congestion Surcharge. Being successfully evaluated on the cases above, the framework can be used for assessing mode-shift and resulting economic, social and environmental implications for any future urban transportation solutions and policies being considered by decision-makers or transportation companies.

### Individual choice simulation model

<img width="721" alt="Screen Shot 2021-01-07 at 11 12 41 AM" src="https://user-images.githubusercontent.com/24549241/103915553-5a6ab500-50d9-11eb-8074-d1b44a4ef99f.png">

The model simulates mode choices for each individual origin-destination pair and the specific passenger of the given income category. We use two-staged framework based on the the data of individual simulated trips generated by C2SMART simulation test bed as well taxi+FHV data available from TLC in order to estimate the model. Specifically, for each set of the model parameters we can simulate the choices for each O-D pair based on available transport modes. For each given pair of origin-destination, passenger wage w and transportation mode, we assess utility based on travel time and cost estimates as well as a  random factor, representing individual preferences towards each mode. We introduce also introduce correlation parameters for travel modes- taxi, FHV and shared FHV based on our experiments and on the assumption that if one has increased preference towards taxi, its likely that FHV will be also preferred and even more so between FHV and shared FHV which one can see as even more closely related, as while offering a slightly different type of service they are facilitated by the same provider/app. This way the model parameters to be estimated are: beta, sigma, corTFS - correlation coefficient between random factors epsilon of taxi and FHV or shared FHV (SFHV) modes and corFS: correlation coefficient between random factors of FHV and SFHV. 

### Impact Assessments

<img width="923" alt="Screen Shot 2021-01-07 at 11 22 43 AM" src="https://user-images.githubusercontent.com/24549241/103916635-aa964700-50da-11eb-9c85-4926dd0cab3e.png">

We analyzed the mode-shift (if shared FHV trips were to be facilitated by the second-choice mode in each individual scenario) simulated by the model with different parameters weighted by the model fit likelihood in order to determine the anticipated effect of shared FHV on the NYC transportation system. On the aggregate  citywide scale we observe a net travel time decrease of 1.77% (95% confidence interval - 1.71%-1.83%) and the net mileage increase of 1.14% (95% confidence interval - 1.06%-1.22%)



### Folder contents

- 'NMNL' folder contains code files for Nested Multinomial Logit model
- 'Choice_Simulation' folder contains files for individual choice simulation model
- 'Data' folder has data regarding trips among 6 modes in NYC between taxi zones
